Bug 25369 - incomplete mib table in rpm versions
Summary: incomplete mib table in rpm versions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-31 06:07 UTC by john karsten
Modified: 2015-03-05 01:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-27 04:59:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description john karsten 2001-01-31 06:07:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; AtHome0101; 
DigExt)


When performing an snmpwalk on localhost the entire mib consists of only 
40 values. RPM does compile all of the host mibs but will not display them 
or respond to them. If the package is compiled from scratch the mib will 
contain around 400 items.

Reproducible: Always
Steps to Reproduce:
1.snmpwalk localhost public
2.
3.
	

Actual Results:  mib consists of only 40 items

Expected Results:  after compiling the package from scratch the snmpwalk 
on localhost will return around 400 lines.

The RPM source does compile the host and ucd mibs but does not respond to 
them when requested. I have tested the RPMS from ucd-snmp version 3.6 to 
4.2 in Redhat version 6.0 and 6.2 with the same result.

Comment 1 Phil Knirsch 2001-06-26 15:37:06 UTC
Could you verify that this problem is still appearing with the newest rawhide
version of the ucd-snmp package?

Thanks,

Read ya, Phil

Comment 2 john karsten 2001-06-27 04:59:09 UTC
I have tried ucd-snmp-4.2-12 on a Redhat 7.1 box with the same results. There 
is actually two faults the cpu always spikes on one of the gets and the mib 
isn't compiled in properly. I wish  I could be more help but I can't figure out 
your source configure. If you just do a normal configure it works properly but 
you don't get the open library. I hope you figure it out it has been broken 
forever.

john

Comment 3 Phil Knirsch 2001-07-19 13:37:44 UTC
OK, this one has been finally fixed. It's available via rawhide.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.